Skip to main content
GET
/
api
/
v1
/
ranked-urls-v2
Ranked Urls
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/ranked-urls-v2 \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "url": "<string>",
      "total_queries": 123,
      "total_queries_prev_collect": 123,
      "average_rank": 123,
      "average_rank_prev_collect": 123,
      "presence_rate": 123,
      "total": 123,
      "occurrences": 123,
      "top_rank": 123,
      "top_keyword_id": "<string>",
      "top_keyword_text": "<string>",
      "top_3_competitor_urls": [
        "<string>"
      ],
      "top_rank_prev_collect": 123,
      "presence_rate_prev_collect": 123,
      "total_prev_collect": 123,
      "occurrences_prev_collect": 123
    }
  ],
  "total_items": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
page_number
integer | null
default:1
Required range: x >= 1
rows_per_page
integer | null
default:20
Required range: 1 <= x <= 100
search_query
string | null
sort_column
enum<string> | null

Sortable columns for ranked URLs API.

Available options:
nb_distinct_keywords,
average_rank,
presence_rate,
occurrences,
top_rank,
url
sort_direction
enum<string> | null
default:ASC

Enum for sort direction.

Available options:
ASC,
DESC
prev_collect_id
string | null
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
domain
string | null
project_id
string
required

Project Id

client_id
string
required

Client id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand

Response

Successful Response

data
RankedUrlResponse · object[]
required
total_items
integer
required